# vim:noexpandtab:sw=2 ts=2

moddir = \
  ${AP_LIBEXECDIR}

# libraries
mod_LTLIBRARIES = \
  mod_unified_remix.la

# library: mod_unified_remix
mod_unified_remix_la_SOURCES = \
  mod_unified_remix.cpp

mod_unified_remix_la_CXXFLAGS = \
  -Wall \
  -Werror \
  ${MODULE_CFLAGS}

mod_unified_remix_la_CPPFLAGS = \
  -I$(top_srcdir)/common \
  $(FMP4_CFLAGS) \
  $(REMIX_CFLAGS) \
  -DMODULE_NAME=unified_remix

mod_unified_remix_la_LDFLAGS = \
  $(FMP4_LDFLAGS) \
  $(REMIX_LDFLAGS) \
  -rpath ${AP_LIBEXECDIR} \
  -module \
  -avoid-version \
  ${MODULE_LDFLAGS}

mod_unified_remix_la_LIBADD = \
  ../common/libcommon.la

EXTRA_DIST = \
  mod_unified_remix.conf \
  mod_unified_remix.load

install: install-am
	rm -f $(DESTDIR)${AP_LIBEXECDIR}/mod_unified_remix.a
	rm -f $(DESTDIR)${AP_LIBEXECDIR}/mod_unified_remix.la
